<template>
  <v-layout row wrap>
    <v-flex xs12>
      <!-- first showTime -->
      <v-card-title class="red lighten-1 justify">
        <h2 class="white--text font-weight-light">14 JUNE 2019</h2>
      </v-card-title>
      <v-list two-line>
        <div class="text-xs-left">
          <v-list-tile>
            <h2 class="font-weight-light">Digital Cinema | TH</h2>
          </v-list-tile>

          <v-layout row wrap>
            <tr>
              <v-btn
                outline
                color="red"
                v-for="link in chooseShowtime"
                :key="link.text"
                router
                :to="link.route"
              >12:10</v-btn>
              <v-btn
                outline
                color="red"
                v-for="link in chooseShowtime"
                :key="link.text"
                router
                :to="link.route"
              >13:20</v-btn>
              <v-btn
                outline
                color="red"
                v-for="link in chooseShowtime"
                :key="link.text"
                router
                :to="link.route"
              >19:00</v-btn>
              <v-btn
                outline
                color="red"
                v-for="link in chooseShowtime"
                :key="link.text"
                router
                :to="link.route"
              >22:30</v-btn>
            </tr>
          </v-layout>
        </div>
      </v-list>
      <br>

      <!-- blank -->
      <!-- next date ShowTime -->
      <v-card-title class="red lighten-1 justify">
        <h2 class="white--text font-weight-light">15 JUNE 2019</h2>
      </v-card-title>
      <v-list two-line>
        <div class="text-xs-left">
          <v-list-tile>
            <h2 class="font-weight-light">Digital Cinema | TH</h2>
          </v-list-tile>
          <v-layout row wrap>
            <tr>
              <v-btn
                outline
                color="red"
                v-for="link in chooseShowtime"
                :key="link.text"
                router
                :to="link.route"
              >13:00</v-btn>
              <v-btn
                outline
                color="red"
                v-for="link in chooseShowtime"
                :key="link.text"
                router
                :to="link.route"
              >15:00</v-btn>
              <v-btn
                outline
                color="red"
                v-for="link in chooseShowtime"
                :key="link.text"
                router
                :to="link.route"
              >19:00</v-btn>
              <v-btn
                outline
                color="red"
                v-for="link in chooseShowtime"
                :key="link.text"
                router
                :to="link.route"
              >22:30</v-btn>
            </tr>
          </v-layout>
        </div>
      </v-list>
      <br>
    </v-flex>
  </v-layout>
</template>

<script>
import { sync } from "vuex-pathify";
import { METHODS } from "http";

export default {
  computed: {
    datas: sync("items")
  },
  created() {
    this.getData();
  },
  methods: {
    getData() {
      this.axios.get("http://192.168.253.81:3000/movie").then(response => {
        console.log(response.data);
      });
    }
  },
  data() {
    return {
      chooseShowtime: [{ text: "choose showtime", route: "/seat" }]
    };
  }
};
</script>

